Subject: Re: bug#20748: 25.0.50; Seemingly random segfaults.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jun 2015 22:09:25 +0300

> Date: Sat, 6 Jun 2015 09:54:26 +0000
> From: Zack Piper <[email-masked]>
> 
> > Did you build this Emacs yourself?  If so, can you also build a
> > non-optimized version, and see if the problem happens there? 
> 
> I built it myself, yes.
> 
> When compiling without optimizations I can't seem to reproduce it.

Then I guess we will have to debug it in the optimized build.  But
before you get back to that, could you try a slightly different
configuration:

  CFLAGS='-Og -g3' ./configure --enable-checking='yes,glyphs' ...

(If -Og doesn't work with your GCC, try -O1 instead.)

If this build doesn't reproduce the crash, just rebuild with full
optimizations.

> Since it's compiled without optimizations now, is this a bug in GCC
> itself?

No, it's just an Emacs bug that shows up in optimized code.

> > Finally, do you have a lot of customizations in your ~/.emacs?  I'm
> > puzzled by the large number of the face ID (74) in the backtrace -- do
> > you customize your faces a lot, or use packages that create a lot of
> > faces?
> 
> I use a lot of packages.
> 
> `M-x list-faces-display RET' (I think that's the correct command) lists ~703.

OK.  So I'd like to see the output of those 2 GDB command in a build
that does crash.  Thanks.